#include "rclcpp/rclcpp.hpp"
#include "std_msgs/msg/int32.hpp"

int main(int argc, char* argv[]) {
    rclcpp::init(argc, argv);

    auto node = std::make_shared<rclcpp::Node>("bug_reproducer_cpp", "");
    auto p = node->create_publisher<std_msgs::msg::Int32>("/reproducer_topic", rclcpp::SystemDefaultsQoS{});

    while(rclcpp::ok()) {
        std_msgs::msg::Int32 msg;
        msg.data =  6 ;
        p->publish(msg);
    }
}