#include "rclcpp/rclcpp.hpp"
#include "std_msgs/msg/int32.hpp"

using namespace std::chrono_literals;
int main(int argc, char* argv[]) {
    rclcpp::init(argc, argv);

    auto node = std::make_shared<rclcpp::Node>("bug_reproducer_cpp", "");
    auto p = node->create_subscription<std_msgs::msg::Int32>("/reproducer_topic",
        rclcpp::SystemDefaultsQoS{}.keep_last(10),
        [](std_msgs::msg::Int32::SharedPtr msg) {
            std::this_thread::sleep_for(1000ms);
        });

    rclcpp::spin(node);
}
